LotusStyleManagerInternal::CellStyle Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
LotusStyleManagerInternal::CellStyle Struct Reference

small struct used to defined cell style More...

## Public Member Functions
| CellStyle (libwps_tools_win::Font::Type fontType)
| constructor More...

## Public Attributes
int | m_borders
| the borders More...
int | m_bordersId [4]
| the border line id More...
int | m_colorsId [2]
| the color id : surface, shadow ? More...
int | m_fontId
| the font id More...
int | m_formatId
| the format id More...
ColorStyle | m_colorStyle
| the color style More...
FontStyle | m_fontStyle
| the font style More...
WPSCellFormat::HorizontalAlignment | m_hAlign
| the horizontal align More...
WPSCellFormat::VerticalAlignment | m_vAlign
| the vertical align More...
WPSCellFormat::Wrapping | m_wrapping
| the wrapping More...
int | m_rotation
| the rotation More...
WPSBorder | m_bordersStyle [4]
| the cell border More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellStyle const &cell)
| operator<< More...

## Detailed Description

small struct used to defined cell style

## Constructor & Destructor Documentation

## ◆ CellStyle()

LotusStyleManagerInternal::CellStyle::CellStyle | ( | libwps_tools_win::Font::Type | fontType | ) |
| inlineexplicit

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | CellStyle const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_borders

int LotusStyleManagerInternal::CellStyle::m_borders

the borders

Referenced by LotusStyleManager::updateCellStyle().

## ◆ m_bordersId

int LotusStyleManagerInternal::CellStyle::m_bordersId[4]

the border line id

## ◆ m_bordersStyle

WPSBorder LotusStyleManagerInternal::CellStyle::m_bordersStyle[4]

the cell border

Referenced by LotusStyleManager::readCellStyleE6(), and LotusStyleManager::updateCellStyle().

## ◆ m_colorsId

int LotusStyleManagerInternal::CellStyle::m_colorsId[2]

the color id : surface, shadow ?

Referenced by LotusStyleManager::updateCellStyle().

## ◆ m_colorStyle

ColorStyle LotusStyleManagerInternal::CellStyle::m_colorStyle

the color style

Referenced by LotusStyleManager::readCellStyleE6(), and LotusStyleManager::updateCellStyle().

## ◆ m_extra

std::string LotusStyleManagerInternal::CellStyle::m_extra

extra data

## ◆ m_fontId

int LotusStyleManagerInternal::CellStyle::m_fontId

the font id

Referenced by LotusStyleManager::updateCellStyle().

## ◆ m_fontStyle

FontStyle LotusStyleManagerInternal::CellStyle::m_fontStyle

the font style

Referenced by LotusStyleManager::readCellStyleE6(), and LotusStyleManager::updateCellStyle().

## ◆ m_formatId

int LotusStyleManagerInternal::CellStyle::m_formatId

the format id

## ◆ m_hAlign

WPSCellFormat::HorizontalAlignment LotusStyleManagerInternal::CellStyle::m_hAlign

the horizontal align

Referenced by LotusStyleManager::updateCellStyle().

## ◆ m_rotation

int LotusStyleManagerInternal::CellStyle::m_rotation

the rotation

Referenced by LotusStyleManager::updateCellStyle().

## ◆ m_vAlign

WPSCellFormat::VerticalAlignment LotusStyleManagerInternal::CellStyle::m_vAlign

the vertical align

Referenced by LotusStyleManager::updateCellStyle().

## ◆ m_wrapping

WPSCellFormat::Wrapping LotusStyleManagerInternal::CellStyle::m_wrapping

the wrapping

Referenced by LotusStyleManager::updateCellStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp